--- old/usr/src/uts/common/io/ixgbe/ixgbe_82599.c	Wed Sep  7 11:32:33 2011
+++ new/usr/src/uts/common/io/ixgbe/ixgbe_82599.c	Wed Sep  7 11:32:33 2011
@@ -779,29 +812,29 @@
 	}
 
 	/* We didn't get link.  Turn SmartSpeed back off. */
-	hw->phy.smart_speed_active = false;
+	hw->phy.smart_speed_active = FALSE;
 	status = ixgbe_setup_mac_link_82599(hw, speed, autoneg,
-	    autoneg_wait_to_complete);
+					    autoneg_wait_to_complete);
 
 out:
 	if (link_up && (link_speed == IXGBE_LINK_SPEED_1GB_FULL))
 		DEBUGOUT("Smartspeed has downgraded the link speed "
 		"from the maximum advertised\n");
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_setup_mac_link_82599 - Set MAC link speed
- * @hw: pointer to hardware structure
- * @speed: new link speed
- * @autoneg: true if autonegotiation enabled
- * @autoneg_wait_to_complete: true when waiting for completion is needed
+/**
+ *  ixgbe_setup_mac_link_82599 - Set MAC link speed
+ *  @hw: pointer to hardware structure
+ *  @speed: new link speed
+ *  @autoneg: TRUE if autonegotiation enabled
+ *  @autoneg_wait_to_complete: TRUE when waiting for completion is needed
  *
- * Set the link speed in the AUTOC register and restarts link.
- */
-s32
-ixgbe_setup_mac_link_82599(struct ixgbe_hw *hw,
-    ixgbe_link_speed speed, bool autoneg, bool autoneg_wait_to_complete)
+ *  Set the link speed in the AUTOC register and restarts link.
+ **/
+s32 ixgbe_setup_mac_link_82599(struct ixgbe_hw *hw,
+                                     ixgbe_link_speed speed, bool autoneg,
+                                     bool autoneg_wait_to_complete)
 {
 	s32 status = IXGBE_SUCCESS;
 	u32 autoc = IXGBE_READ_REG(hw, IXGBE_AUTOC);
@@ -829,9 +862,7 @@
 		goto out;
 	}
 
-	/*
-	 * Use stored value (EEPROM defaults) of AUTOC to find KR/KX4 support
-	 */
+	/* Use stored value (EEPROM defaults) of AUTOC to find KR/KX4 support*/
 	if (hw->mac.orig_link_settings_stored)
 		orig_autoc = hw->mac.orig_autoc;
 	else
@@ -846,13 +877,13 @@
 			if (orig_autoc & IXGBE_AUTOC_KX4_SUPP)
 				autoc |= IXGBE_AUTOC_KX4_SUPP;
 			if ((orig_autoc & IXGBE_AUTOC_KR_SUPP) &&
-			    (hw->phy.smart_speed_active == false))
+			    (hw->phy.smart_speed_active == FALSE))
 				autoc |= IXGBE_AUTOC_KR_SUPP;
 		if (speed & IXGBE_LINK_SPEED_1GB_FULL)
 			autoc |= IXGBE_AUTOC_KX_SUPP;
 	} else if ((pma_pmd_1g == IXGBE_AUTOC_1G_SFI) &&
-	    (link_mode == IXGBE_AUTOC_LMS_1G_LINK_NO_AN ||
-	    link_mode == IXGBE_AUTOC_LMS_1G_AN)) {
+	           (link_mode == IXGBE_AUTOC_LMS_1G_LINK_NO_AN ||
+	            link_mode == IXGBE_AUTOC_LMS_1G_AN)) {
 		/* Switch from 1G SFI to 10G SFI if requested */
 		if ((speed == IXGBE_LINK_SPEED_10GB_FULL) &&
 		    (pma_pmd_10g_serial == IXGBE_AUTOC2_10G_SFI)) {
@@ -860,7 +891,7 @@
 			autoc |= IXGBE_AUTOC_LMS_10G_SERIAL;
 		}
 	} else if ((pma_pmd_10g_serial == IXGBE_AUTOC2_10G_SFI) &&
-	    (link_mode == IXGBE_AUTOC_LMS_10G_SERIAL)) {
+	           (link_mode == IXGBE_AUTOC_LMS_10G_SERIAL)) {
 		/* Switch from 10G SFI to 1G SFI if requested */
 		if ((speed == IXGBE_LINK_SPEED_1GB_FULL) &&
 		    (pma_pmd_1g == IXGBE_AUTOC_1G_SFI)) {
@@ -869,7 +900,7 @@
 				autoc |= IXGBE_AUTOC_LMS_1G_AN;
 			else
 				autoc |= IXGBE_AUTOC_LMS_1G_LINK_NO_AN;
-			}
+		}
 	}
 
 	if (autoc != start_autoc) {
@@ -882,10 +913,10 @@
 			if (link_mode == IXGBE_AUTOC_LMS_KX4_KX_KR ||
 			    link_mode == IXGBE_AUTOC_LMS_KX4_KX_KR_1G_AN ||
 			    link_mode == IXGBE_AUTOC_LMS_KX4_KX_KR_SGMII) {
-				links_reg = 0; /* Just in case Autoneg time=0 */
+				links_reg = 0; /*Just in case Autoneg time=0*/
 				for (i = 0; i < IXGBE_AUTO_NEG_TIME; i++) {
 					links_reg =
-					    IXGBE_READ_REG(hw, IXGBE_LINKS);
+					       IXGBE_READ_REG(hw, IXGBE_LINKS);
 					if (links_reg & IXGBE_LINKS_KX_AN_COMP)
 						break;
 					msec_delay(100);
@@ -892,7 +923,7 @@
 				}
 				if (!(links_reg & IXGBE_LINKS_KX_AN_COMP)) {
 					status =
-					    IXGBE_ERR_AUTONEG_NOT_COMPLETE;
+						IXGBE_ERR_AUTONEG_NOT_COMPLETE;
 					DEBUGOUT("Autoneg did not complete.\n");
 				}
 			}
@@ -903,21 +934,22 @@
 	}
 
 out:
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_setup_copper_link_82599 - Set the PHY autoneg advertised field
- * @hw: pointer to hardware structure
- * @speed: new link speed
- * @autoneg: true if autonegotiation enabled
- * @autoneg_wait_to_complete: true if waiting is needed to complete
+/**
+ *  ixgbe_setup_copper_link_82599 - Set the PHY autoneg advertised field
+ *  @hw: pointer to hardware structure
+ *  @speed: new link speed
+ *  @autoneg: TRUE if autonegotiation enabled
+ *  @autoneg_wait_to_complete: TRUE if waiting is needed to complete
  *
- * Restarts link on PHY and MAC based on settings passed in.
- */
-static s32
-ixgbe_setup_copper_link_82599(struct ixgbe_hw *hw,
-    ixgbe_link_speed speed, bool autoneg, bool autoneg_wait_to_complete)
+ *  Restarts link on PHY and MAC based on settings passed in.
+ **/
+static s32 ixgbe_setup_copper_link_82599(struct ixgbe_hw *hw,
+                                               ixgbe_link_speed speed,
+                                               bool autoneg,
+                                               bool autoneg_wait_to_complete)
 {
 	s32 status;
 
@@ -925,22 +957,22 @@
 
 	/* Setup the PHY according to input speed */
 	status = hw->phy.ops.setup_link_speed(hw, speed, autoneg,
-	    autoneg_wait_to_complete);
+	                                      autoneg_wait_to_complete);
 	/* Set up MAC */
 	(void) ixgbe_start_mac_link_82599(hw, autoneg_wait_to_complete);
 
-	return (status);
+	return status;
 }
-/*
- * ixgbe_reset_hw_82599 - Perform hardware reset
- * @hw: pointer to hardware structure
+
+/**
+ *  ixgbe_reset_hw_82599 - Perform hardware reset
+ *  @hw: pointer to hardware structure
  *
- * Resets the hardware by resetting the transmit and receive units, masks
- * and clears all interrupts, perform a PHY reset, and perform a link (MAC)
- * reset.
- */
-s32
-ixgbe_reset_hw_82599(struct ixgbe_hw *hw)
+ *  Resets the hardware by resetting the transmit and receive units, masks
+ *  and clears all interrupts, perform a PHY reset, and perform a link (MAC)
+ *  reset.
+ **/
+s32 ixgbe_reset_hw_82599(struct ixgbe_hw *hw)
 {
 	s32 status = IXGBE_SUCCESS;
 	u32 ctrl;
@@ -964,7 +996,7 @@
 	/* Setup SFP module if there is one present. */
 	if (hw->phy.sfp_setup_needed) {
 		status = hw->mac.ops.setup_sfp(hw);
-		hw->phy.sfp_setup_needed = false;
+		hw->phy.sfp_setup_needed = FALSE;
 	}
 
 	if (status == IXGBE_ERR_SFP_NOT_SUPPORTED)
@@ -971,7 +1003,7 @@
 		goto reset_hw_out;
 
 	/* Reset PHY */
-	if (hw->phy.reset_disable == false && hw->phy.ops.reset != NULL)
+	if (hw->phy.reset_disable == FALSE && hw->phy.ops.reset != NULL)
 		hw->phy.ops.reset(hw);
 
 	/*
@@ -993,9 +1025,8 @@
 	for (i = 0; i < 10; i++) {
 		usec_delay(1);
 		ctrl = IXGBE_READ_REG(hw, IXGBE_CTRL);
-		if (!(ctrl & IXGBE_CTRL_RST)) {
+		if (!(ctrl & IXGBE_CTRL_RST))
 			break;
-		}
 	}
 	if (ctrl & IXGBE_CTRL_RST) {
 		status = IXGBE_ERR_RESET_FAILED;
@@ -1024,21 +1055,20 @@
 	 */
 	autoc = IXGBE_READ_REG(hw, IXGBE_AUTOC);
 	autoc2 = IXGBE_READ_REG(hw, IXGBE_AUTOC2);
-	if (hw->mac.orig_link_settings_stored == false) {
+	if (hw->mac.orig_link_settings_stored == FALSE) {
 		hw->mac.orig_autoc = autoc;
 		hw->mac.orig_autoc2 = autoc2;
-		hw->mac.orig_link_settings_stored = true;
+		hw->mac.orig_link_settings_stored = TRUE;
 	} else {
-		if (autoc != hw->mac.orig_autoc) {
+		if (autoc != hw->mac.orig_autoc)
 			IXGBE_WRITE_REG(hw, IXGBE_AUTOC, (hw->mac.orig_autoc |
-			    IXGBE_AUTOC_AN_RESTART));
-		}
+					IXGBE_AUTOC_AN_RESTART));
 
 		if ((autoc2 & IXGBE_AUTOC2_UPPER_MASK) !=
 		    (hw->mac.orig_autoc2 & IXGBE_AUTOC2_UPPER_MASK)) {
 			autoc2 &= ~IXGBE_AUTOC2_UPPER_MASK;
 			autoc2 |= (hw->mac.orig_autoc2 &
-			    IXGBE_AUTOC2_UPPER_MASK);
+			           IXGBE_AUTOC2_UPPER_MASK);
 			IXGBE_WRITE_REG(hw, IXGBE_AUTOC2, autoc2);
 		}
 	}
@@ -1060,7 +1090,7 @@
 	/* Add the SAN MAC address to the RAR only if it's a valid address */
 	if (ixgbe_validate_mac_addr(hw->mac.san_addr) == 0) {
 		hw->mac.ops.set_rar(hw, hw->mac.num_rar_entries - 1,
-		    hw->mac.san_addr, 0, IXGBE_RAH_AV);
+		                    hw->mac.san_addr, 0, IXGBE_RAH_AV);
 
 		/* Reserve the last RAR for the SAN MAC address */
 		hw->mac.num_rar_entries--;
@@ -1068,18 +1098,17 @@
 
 	/* Store the alternative WWNN/WWPN prefix */
 	hw->mac.ops.get_wwn_prefix(hw, &hw->mac.wwnn_prefix,
-	    &hw->mac.wwpn_prefix);
+	                               &hw->mac.wwpn_prefix);
 
 reset_hw_out:
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_reinit_fdir_tables_82599 - Reinitialize Flow Director tables.
- * @hw: pointer to hardware structure
- */
-s32
-ixgbe_reinit_fdir_tables_82599(struct ixgbe_hw *hw)
+/**
+ *  ixgbe_reinit_fdir_tables_82599 - Reinitialize Flow Director tables.
+ *  @hw: pointer to hardware structure
+ **/
+s32 ixgbe_reinit_fdir_tables_82599(struct ixgbe_hw *hw)
 {
 	int i;
 	u32 fdirctrl = IXGBE_READ_REG(hw, IXGBE_FDIRCTRL);
@@ -1093,14 +1122,14 @@
 	 */
 	for (i = 0; i < IXGBE_FDIRCMD_CMD_POLL; i++) {
 		if (!(IXGBE_READ_REG(hw, IXGBE_FDIRCMD) &
-		    IXGBE_FDIRCMD_CMD_MASK))
+		      IXGBE_FDIRCMD_CMD_MASK))
 			break;
 		usec_delay(10);
 	}
 	if (i >= IXGBE_FDIRCMD_CMD_POLL) {
 		DEBUGOUT("Flow Director previous command isn't complete, "
-		    "aborting table re-initialization. \n");
-		return (IXGBE_ERR_FDIR_REINIT_FAILED);
+		         "aborting table re-initialization. \n");
+		return IXGBE_ERR_FDIR_REINIT_FAILED;
 	}
 
 	IXGBE_WRITE_REG(hw, IXGBE_FDIRFREE, 0);
@@ -1113,12 +1142,12 @@
 	 * - write 0 to bit 8 of FDIRCMD register
 	 */
 	IXGBE_WRITE_REG(hw, IXGBE_FDIRCMD,
-	    (IXGBE_READ_REG(hw, IXGBE_FDIRCMD) |
-	    IXGBE_FDIRCMD_CLEARHT));
+	                (IXGBE_READ_REG(hw, IXGBE_FDIRCMD) |
+	                 IXGBE_FDIRCMD_CLEARHT));
 	IXGBE_WRITE_FLUSH(hw);
 	IXGBE_WRITE_REG(hw, IXGBE_FDIRCMD,
-	    (IXGBE_READ_REG(hw, IXGBE_FDIRCMD) &
-	    ~IXGBE_FDIRCMD_CLEARHT));
+	                (IXGBE_READ_REG(hw, IXGBE_FDIRCMD) &
+	                 ~IXGBE_FDIRCMD_CLEARHT));
 	IXGBE_WRITE_FLUSH(hw);
 	/*
 	 * Clear FDIR Hash register to clear any leftover hashes
@@ -1133,13 +1162,13 @@
 	/* Poll init-done after we write FDIRCTRL register */
 	for (i = 0; i < IXGBE_FDIR_INIT_DONE_POLL; i++) {
 		if (IXGBE_READ_REG(hw, IXGBE_FDIRCTRL) &
-		    IXGBE_FDIRCTRL_INIT_DONE)
+		                   IXGBE_FDIRCTRL_INIT_DONE)
 			break;
 		usec_delay(10);
 	}
 	if (i >= IXGBE_FDIR_INIT_DONE_POLL) {
 		DEBUGOUT("Flow Director Signature poll time exceeded!\n");
-		return (IXGBE_ERR_FDIR_REINIT_FAILED);
+		return IXGBE_ERR_FDIR_REINIT_FAILED;
 	}
 
 	/* Clear FDIR statistics registers (read to clear) */
@@ -1149,16 +1178,15 @@
 	(void) IXGBE_READ_REG(hw, IXGBE_FDIRMISS);
 	(void) IXGBE_READ_REG(hw, IXGBE_FDIRLEN);
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_init_fdir_signature_82599 - Initialize Flow Director signature filters
- * @hw: pointer to hardware structure
- * @pballoc: which mode to allocate filters with
- */
-s32
-ixgbe_init_fdir_signature_82599(struct ixgbe_hw *hw, u32 pballoc)
+/**
+ *  ixgbe_init_fdir_signature_82599 - Initialize Flow Director signature filters
+ *  @hw: pointer to hardware structure
+ *  @pballoc: which mode to allocate filters with
+ **/
+s32 ixgbe_init_fdir_signature_82599(struct ixgbe_hw *hw, u32 pballoc)
 {
 	u32 fdirctrl = 0;
 	u32 pbsize;
@@ -1173,7 +1201,7 @@
 	 */
 	pbsize = (1 << (IXGBE_FDIR_PBALLOC_SIZE_SHIFT + pballoc));
 	IXGBE_WRITE_REG(hw, IXGBE_RXPBSIZE(0),
-	    IXGBE_READ_REG(hw, IXGBE_RXPBSIZE(0)) - pbsize);
+	    (IXGBE_READ_REG(hw, IXGBE_RXPBSIZE(0)) - pbsize));
 
 	/*
 	 * The defaults in the HW for RX PB 1-7 are not zero and so should be
@@ -1205,25 +1233,24 @@
 		break;
 	default:
 		/* bad value */
-		return (IXGBE_ERR_CONFIG);
+		return IXGBE_ERR_CONFIG;
 	};
 
 	/* Move the flexible bytes to use the ethertype - shift 6 words */
 	fdirctrl |= (0x6 << IXGBE_FDIRCTRL_FLEX_SHIFT);
 
+
 	/* Prime the keys for hashing */
-	IXGBE_WRITE_REG(hw, IXGBE_FDIRHKEY,
-	    IXGBE_HTONL(IXGBE_ATR_BUCKET_HASH_KEY));
-	IXGBE_WRITE_REG(hw, IXGBE_FDIRSKEY,
-	    IXGBE_HTONL(IXGBE_ATR_SIGNATURE_HASH_KEY));
+	IXGBE_WRITE_REG(hw, IXGBE_FDIRHKEY, IXGBE_ATR_BUCKET_HASH_KEY);
+	IXGBE_WRITE_REG(hw, IXGBE_FDIRSKEY, IXGBE_ATR_SIGNATURE_HASH_KEY);
 
 	/*
 	 * Poll init-done after we write the register.  Estimated times:
-	 *   10G: PBALLOC = 11b, timing is 60us
-	 *    1G: PBALLOC = 11b, timing is 600us
-	 *  100M: PBALLOC = 11b, timing is 6ms
+	 *      10G: PBALLOC = 11b, timing is 60us
+	 *       1G: PBALLOC = 11b, timing is 600us
+	 *     100M: PBALLOC = 11b, timing is 6ms
 	 *
-	 *   Multiple these timings by 4 if under full Rx load
+	 *     Multiple these timings by 4 if under full Rx load
 	 *
 	 * So we'll poll for IXGBE_FDIR_INIT_DONE_POLL times, sleeping for
 	 * 1 msec per poll time.  If we're at line rate and drop to 100M, then
@@ -1234,25 +1261,22 @@
 	IXGBE_WRITE_FLUSH(hw);
 	for (i = 0; i < IXGBE_FDIR_INIT_DONE_POLL; i++) {
 		if (IXGBE_READ_REG(hw, IXGBE_FDIRCTRL) &
-		    IXGBE_FDIRCTRL_INIT_DONE)
+		                   IXGBE_FDIRCTRL_INIT_DONE)
 			break;
-
 		msec_delay(1);
 	}
-	if (i >= IXGBE_FDIR_INIT_DONE_POLL) {
+	if (i >= IXGBE_FDIR_INIT_DONE_POLL)
 		DEBUGOUT("Flow Director Signature poll time exceeded!\n");
-	}
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_init_fdir_perfect_82599 - Initialize Flow Director perfect filters
- * @hw: pointer to hardware structure
- * @pballoc: which mode to allocate filters with
- */
-s32
-ixgbe_init_fdir_perfect_82599(struct ixgbe_hw *hw, u32 pballoc)
+/**
+ *  ixgbe_init_fdir_perfect_82599 - Initialize Flow Director perfect filters
+ *  @hw: pointer to hardware structure
+ *  @pballoc: which mode to allocate filters with
+ **/
+s32 ixgbe_init_fdir_perfect_82599(struct ixgbe_hw *hw, u32 pballoc)
 {
 	u32 fdirctrl = 0;
 	u32 pbsize;
@@ -1265,10 +1289,9 @@
 	 * must be reduced.  The new value is the current size minus
 	 * flow director memory usage size.
 	 */
-
 	pbsize = (1 << (IXGBE_FDIR_PBALLOC_SIZE_SHIFT + pballoc));
 	IXGBE_WRITE_REG(hw, IXGBE_RXPBSIZE(0),
-	    IXGBE_READ_REG(hw, IXGBE_RXPBSIZE(0)) - pbsize);
+	    (IXGBE_READ_REG(hw, IXGBE_RXPBSIZE(0)) - pbsize));
 
 	/*
 	 * The defaults in the HW for RX PB 1-7 are not zero and so should be
@@ -1300,7 +1323,7 @@
 		break;
 	default:
 		/* bad value */
-		return (IXGBE_ERR_CONFIG);
+		return IXGBE_ERR_CONFIG;
 	};
 
 	/* Turn perfect match filtering on */
@@ -1311,18 +1334,16 @@
 	fdirctrl |= (0x6 << IXGBE_FDIRCTRL_FLEX_SHIFT);
 
 	/* Prime the keys for hashing */
-	IXGBE_WRITE_REG(hw, IXGBE_FDIRHKEY,
-	    IXGBE_HTONL(IXGBE_ATR_BUCKET_HASH_KEY));
-	IXGBE_WRITE_REG(hw, IXGBE_FDIRSKEY,
-	    IXGBE_HTONL(IXGBE_ATR_SIGNATURE_HASH_KEY));
+	IXGBE_WRITE_REG(hw, IXGBE_FDIRHKEY, IXGBE_ATR_BUCKET_HASH_KEY);
+	IXGBE_WRITE_REG(hw, IXGBE_FDIRSKEY,IXGBE_ATR_SIGNATURE_HASH_KEY);
 
 	/*
 	 * Poll init-done after we write the register.  Estimated times:
-	 *   10G: PBALLOC = 11b, timing is 60us
-	 *    1G: PBALLOC = 11b, timing is 600us
-	 *  100M: PBALLOC = 11b, timing is 6ms
+	 *      10G: PBALLOC = 11b, timing is 60us
+	 *       1G: PBALLOC = 11b, timing is 600us
+	 *     100M: PBALLOC = 11b, timing is 6ms
 	 *
-	 *  Multiple these timings by 4 if under full Rx load
+	 *     Multiple these timings by 4 if under full Rx load
 	 *
 	 * So we'll poll for IXGBE_FDIR_INIT_DONE_POLL times, sleeping for
 	 * 1 msec per poll time.  If we're at line rate and drop to 100M, then
@@ -1337,25 +1358,23 @@
 	IXGBE_WRITE_FLUSH(hw);
 	for (i = 0; i < IXGBE_FDIR_INIT_DONE_POLL; i++) {
 		if (IXGBE_READ_REG(hw, IXGBE_FDIRCTRL) &
-		    IXGBE_FDIRCTRL_INIT_DONE)
+		                   IXGBE_FDIRCTRL_INIT_DONE)
 			break;
-
 		msec_delay(1);
 	}
-	if (i >= IXGBE_FDIR_INIT_DONE_POLL) {
+	if (i >= IXGBE_FDIR_INIT_DONE_POLL)
 		DEBUGOUT("Flow Director Perfect poll time exceeded!\n");
-	}
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_atr_compute_hash_82599 - Compute the hashes for SW ATR
- * @stream: input bitstream to compute the hash on
- * @key: 32-bit hash key
- */
-u16
-ixgbe_atr_compute_hash_82599(struct ixgbe_atr_input *atr_input, u32 key)
+/**
+ *  ixgbe_atr_compute_hash_82599 - Compute the hashes for SW ATR
+ *  @stream: input bitstream to compute the hash on
+ *  @key: 32-bit hash key
+ **/
+u32 ixgbe_atr_compute_hash_82599(union ixgbe_atr_input *atr_input,
+				 u32 key)
 {
 	/*
 	 * The algorithm is as follows:
